
Auto Multiple Choice - Bug # 513: Accents dans les noms des PDFs exportés après annotation : aucun 
fichier enregistré

Status: Closed Priority: Low
Author: Sébastien Reyt Category:
Created: 11/14/2017 Assignee:
Updated: 11/24/2017 Due date:
Description: Bonjour et tout d'abord bravo pour AMC, simplement génial, 

Depuis une mise à jour récente, lors de l'annotation des copies, AMC rencontre une erreur lors de l'annotation 
des fichiers individuels (le PDF "tous étudiants" sort normalement). J'ai isolé le problème : il semble venir du 
fait qu'à la première copie rencontrée dont le nom de l'élève comporte un accent, une erreur est levée :

[   6684,   0.48] |> ! ERROR : creating surface - error while writing to output stream

Et par la suite, aucun pdf n'est enregistré. Je précise que les premiers fichiers (avant le premier accent) sont 
créés sans problème, et que le problème est bien nouveau : j'ai relancé l'annotation de vieux QCM qui 
marchaient sans problème, et le bug survient.

Dernière précision : ma liste d'élèves est en UTF-8, cette option est bien sélectionnée dans AMC, et les 
accents sont bien affichés correctement dans toutes les fenêtres d'AMC où ils apparaissent.

Bien sûr le problème est réglé en enlevant les accents dans les noms des élèves, mais je suis un peu 
pointilleux ;-)

Je joins le log entier à toutes fins utiles.

Merci,

Cordialement,

History
11/14/2017 09:27 am - Sébastien Reyt
(je suis sous Linux Mint 18.2)

11/14/2017 09:38 am - Alexis Bienvenüe
En attendant que le problème soit réglé, vous pouvez cocher l'option _Édition/Préférences/Général/Internationalisation/Noms de fichiers ASCII_.

11/14/2017 09:58 am - Sébastien Reyt
Merci beaucoup, en effet avec cette option l'annotation des copies est menée à son terme.

A noter, si ça peut permettre de se rapprocher du problème : je ne l'avais pas remarqué, mais dans les copies annotées, les caractères accentués des 
noms sont remplacés par le fameux losange avec le point d'interrogation, que ce soit pour les copies individuelles ou le PDF "tous étudiants". Mais les 
accents sont bien présents dans l'export openoffice, par exemple. 

Merci encore et bonne journée.

11/15/2017 10:37 am - Alexis Bienvenüe
- Status changed from New to Feedback

Ça devrait aller mieux avec la révision commit:ef452c48a2ad…
11/24/2017 11:53 am - Sébastien Reyt
Tout marche à la perfection, merci et encore bravo !

11/24/2017 11:58 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
